MKTEMP(3)

NAME
mktemp - make a unique file name

SYNOPSIS
#include <u.h>
#include <libc.h>

char* mktemp(char *template)

DESCRIPTION
Mktemp replaces template by a unique file name, and returns the address of the template. The template should look like a file name with eleven trailing The are replaced by a letter followed by the current process id. Letters from to are tried until a name that can be accessed (see access(3)) is generated. If no such name can be generated, mktemp returns "/" .

SOURCE
/usr/local/plan9/src/libc/port/mktemp.c

SEE ALSO
getpid(3), access(3)